#pragma once
#include <libmp/ctx.h>
#include <stdbool.h>
#include <stdio.h>

typedef struct pool_config {
  struct pool_config *next;
  char               *name;
  char               *url;
} pool_config_t;

typedef struct config {
  pool_config_t *pools;
  char          *datadir, *tmpdir;
  ssize_t        pool_count;
} config_t;

bool config_load(lm_ctx_t *ctx, config_t *config, char *file);
void config_free(config_t *config);
