#pragma once
#include <libmp/all.h>
#include <stdbool.h>
#include <sys/types.h>

#define FG_RED     "\x1b[31m"
#define FG_BOLD    "\x1b[1m"
#define FG_BLUE    "\x1b[34m"
#define FG_CYAN    "\x1b[36m"
#define FG_GREEN   "\x1b[32m"
#define FG_GRAY    "\x1b[37m"
#define FG_MAGENTA "\x1b[35m"
#define FG_RESET   "\x1b[0m"

void package_list(lm_pkg_data_t *pkg, ssize_t *save, ssize_t max);
void info(const char *msg, ...);
void error(const char *msg, ...);
void success(const char *msg, ...);
bool yesno(const char *msg);
bool bar(float cur, float max);
void bar_free();
